Skip to the page

What this organisation may ask for, with prices

GET/v1/organisations/{id}/environments/options

Operation environments.options · since 2026-11-05 · stable

Needs a session withreadscopeAnswers200 OK

What this organisation may ask for, each with its Rykloud price. { "priced": false } while no price book is published.

Path parameters

idstring (uuid)required
The organisation id.

Errors

Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.

GET/v1/organisations/{id}/environments/options
curl "https://api.rykloud.com/v1/organisations/$ORG_ID/environments/options" \
  -H "Authorization: Bearer $RYKLOUD_TOKEN"
With the rykloud CLI
rykloud envs options

Command reference: rykloud envs options